/*
 Theme Name:   Steve Grammas for Las Vegas City Council
 Theme URI:    https://wordpress.org/themes/twentyninteen/
 Description:  Custom theme built for Steve Grammas for Las Vegas City Council
 Author:       
 Template:     twentynineteen
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  grammas-nv
*/

/* ========= COLOR REFERENCES ========= */
:root {
  --bg: #e5e6e6;
  --red: #db0032;
  --blue: #004a98;
  --black: #000000;
  --gray: #565656;
  --darkGray: #353535;
}

/* ==================================== */

/* ======== TABLE OF CONTENTS =========
	1. TYPOGRAPHY
	2. GLOBAL
	3. MAIN CONTENT
	- 3a. Landing Page
	- 3b. Meet Page
  - 3c. Get Involved Page
  - 3d. Issues Page
  - 3e. Footer
/* ==================================== */

/* ------------------------------ 
    1. Start Typography
------------------------------ */
h1,
h2,
h3,
h4,
h5,
h6,
a,
ul,
.btn,
button {
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizelegibility;
  margin: 0;
  line-height: 1;
}

h1,
.h1 {
  font-size: 5.625em;
  /* 90px */
}

h2,
.h2 {
  font-size: 4.125em;
  /* 66px */
}

h3,
.h3 {
  font-size: 1.875em;
  /* 30px */
}

h4,
.h4 {
  font-size: 1.5625em;
  /* 25px */
  line-height: 0.96;
}

p,
.p {
  font-size: 1.0625em;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizelegibility;
  line-height: 1.41;
  color: var(--black);
}

sup {
  font-size: .5em;
  top: -.75em;
}

a,
.anchor-theme {
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizelegibility;
  text-decoration: none !important;
  transition: none;
  line-height: 40px;
  color: white;
  border: none;
  background: none;
}

a:hover,
a:focus,
.anchor-theme:hover,
.anchor-theme:focus {
  color: white;
  font-weight: 700;
}

.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

.menu {
  display: flex;
  list-style: none;
  padding: 0;
}

.main-menu-more {
  display: none;
}

.nav-link {
  color: var(--gray) !important;
  text-transform: uppercase;
  padding: 0 9px;
}

nav .current-menu-item a {
  font-weight: 700;
  border-bottom: 2px solid var(--secondary);
}

/* ------------------------------ 
    1. End Typography
------------------------------ */

/* ------------------------------ 
    2. Start Global
------------------------------ */
@-ms-viewport {
  width: device-width;
}

html {
  font-size: 16px;
}

body {
  font-size: 16px;
  /* Adjust this on mobile to globally change P-tags :NOT H-tags) */
  line-height: 1.41;
  color: var(--gray);
}

.ls-100 {
  letter-spacing: 0.1em;
}

.white {
  color: white !important;
}

.red {
  color: var(--red) !important;
}

.blue {
  color: var(--blue) !important;
}

.gray {
  color: var(--gray) !important;
}

.darkGray {
  color: var(--darkGray) !important;
}

.desktop {
  display: block !important;
}

.mobile {
  display: none !important;
}

.fw-400 {
  font-weight: 400;
  /* Regular */
}

.fw-600 {
  font-weight: 600;
  /* SemiBold */
}

.fw-700 {
  font-weight: 700;
  /* Bold */
}

.fw-800 {
  font-weight: 800;
  /* ExtraBold */
}

.italic {
  font-style: italic;
}

.normal {
  font-style: normal;
}

section {
  position: relative;
}

img {
  width: 100%;
}

.bg {
  background: var(--bg);
}

.bg-blue {
  background: var(--blue);
}

.bg-white {
  background: var(--white);
}

.gform-button,
button.btn {
  font-size: 1.5625em;
  font-weight: 700;
  color: white;
  border: none;
  border-radius: 0 !important;
  background: var(--red) !important;
  padding: 15px 25px;
  max-width: 172px;
  width: 100%;
  text-transform: uppercase;
}

.gform-button {
  padding: 2px 25px;
}

button.btn:hover,
button.btn:focus {
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
}

button.btn:active {
  background-color: #c10912;
}

/* ------------------------------ 
    2. End Global
------------------------------ */

/* ------------------------------ 
    3. Start Main Content
------------------------------ */
header {
  padding: 25px 0;
}

header img {
  max-width: 266px;
}

.social-icon:nth-child(2) {
  margin: 0 10px;
}

/*  - 3a. Landing Page  */
.page-template-page-lp .splash {
  background: url("/wp-content/uploads/sites/260/2026/02/1_hero_bg.jpg") no-repeat center center;
  background-size: cover;
  padding: 61px 0;
}

.page-template-page-lp .splash [src*="1_hero"] {
  position: absolute;
  width: 771px;
  height: 904px;
  right: 0;
  bottom: 0;
  top: 50%;
  transform: translateY(-50%);
}

.page-template-page-lp h3 {
  margin-top: 30px;
}

input::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: var(--white);
}

input::-moz-placeholder {
  /* Firefox 19+ */
  color: var(--white);
}

input:-ms-input-placeholder {
  /* IE 10+ */
  color: var(--white);
}

input:-moz-placeholder {
  /* Firefox 18- */
  color: var(--white);
}

.page-template-page-lp .gform_wrapper {
  max-width: 500px;
  margin-top: 10px;
}

.gfield:nth-child(2),
.gfield:nth-child(3),
.ginput_container,
.name_first input,
.name_last input {
  margin: 0 !important;
}

.ginput_container_email input {
  width: 100% !important;
}

.name_first input,
.name_last input,
.ginput_container input:not([type="checkbox"]),
.ginput_container textarea {
  color: rgba(53, 53, 53, 1);
  background-color: white;
  border: 1px solid var(--darkGray);
  border-radius: 5px;
  padding: 8px 10px !important;
}

.name_first input::placeholder,
.name_last input::placeholder,
.ginput_container input:not([type="checkbox"])::placeholder,
.ginput_container textarea::placeholder {
  color: rgba(53, 53, 53, 0.5);
  font-weight: 400;
}

.name_first input:hover,
.name_last input:hover,
.ginput_container input:hover:not([type="checkbox"]),
.ginput_container textarea:hover,
.name_first input:focus,
.name_last input:focus,
.ginput_container input:focus:not([type="checkbox"]),
.ginput_container textarea:focus,
.name_first input:active,
.name_last input:active,
.ginput_container input:not([type="checkbox"]):active,
.ginput_container textarea:active {
  color: rgba(53, 53, 53, 0.7);
}

.gform_wrapper.gravity-theme .ginput_complex.ginput_container_address span {
  padding: 0 !important;
}

.gchoice {
  display: flex;
  align-items: start;
}

input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding: 0 !important;
  border: none;
  font-size: 12px !important;
  margin-right: 7px !important;
}

input[type="checkbox"]:before {
  content: "\202A";
  font-size: 1.33em;
  text-align: center;
  line-height: 0.66;
  display: inline-block;
  width: 16px;
  height: 16px;
  color: var(--darkGray);
  border: 1px solid var(--darkGray);
  border-radius: 5px;
  text-indent: 1px;
}

input[type="checkbox"]:checked:before {
  content: "\2713";
}

.gfield--type-html {
  color: var(--darkGray) !important;
  font-size: 12px !important;
}

.page-template-page-involved .gfield--type-html {
  color: var(--gray) !important;
}

.gform_wrapper.gravity-theme .gform_fields {
  grid-row-gap: 8px !important;
}

.page-template-page-involved .gform_wrapper.gravity-theme .ginput_complex {
  flex-flow: column !important;
}

.gform_wrapper.gravity-theme .gfield_label {
  font-weight: 400 !important;
  margin: 32px 0 40px !important;
}

.gfield_checkbox {
  columns: 2;
}

.gchoice {
  margin: 10px 0;
}

.gchoice:first-child {
  margin-top: 0;
}

.gform_wrapper.gravity-theme .gfield-choice-input+label {
  color: rgba(53, 53, 53, 0.5) !important;
}

.gfield--type-textarea {
  margin: 32px 0;
}

.page-template-page-involved .gform_wrapper.gravity-theme .gform_footer {
  margin-top: 24px !important;
  padding-bottom: 0 !important;
}

.page-template-page-involved .gform_wrapper .gform_footer input[type="submit"].gform_button {
  min-width: 168px;
  max-width: 360px;
  border-radius: 5px !important;
  margin: 0 auto;
}

form {
  position: relative;
}

.gform_footer {
  width: fit-content !important;
  position: relative;
  right: 0;
  top: 0;
  width: 100% !important;
}

.gform_wrapper .gform_footer input[type="submit"].gform_button,
.gform_wrapper .gform_footer button.gform_button,
.gform_wrapper .gform_footer .gform-button {
  font-size: 1.5625em;
  font-weight: 700;
  color: white;
  border: none;
  border-radius: 0 !important;
  background: var(--red) !important;
  padding: 15px 25px;
  width: 100%;
  text-transform: uppercase;
}

.gform_confirmation_message {
  height: 307px;
  text-align: center;
  margin-top: 10px;
}

.page-template-page-involved .gform_confirmation_message {
  margin-bottom: 0;
}

.page-template-page-lp .meet {
  padding: 62px 0;
}

.page-template-page-lp .meet hr {
  width: 764px;
  height: 7px;
  margin: 0 auto 72px;
  opacity: 1;
}

.page-template-page-lp .meet p {
  max-width: 925px;
  margin: 0 auto;
}

.page-template-page-lp .fighting {
  padding: 110px 0;
}

.page-template-page-lp .fighting hr {
  width: 764px;
  height: 7px;
  margin: 0 auto;
  opacity: 1;
}

.page-template-page-lp .fighting p {
  margin: 73px 0;
}

.fighting ul {
  font-size: 1.5625em;
  list-style: none;
  max-width: 675px;
  margin: 0 auto;
  padding-left: 45px !important;
}

.badge-icon {
  position: absolute;
  width: 35px;
  height: 35px;
  left: -45px;
  top: 50%;
  transform: translateY(-50%);
}

li {
  position: relative;
  color: black;
  margin: 20px 0;
  vertical-align: middle;
}

.page-template-page-lp .future {
  padding: 0 0 62px 0;
}

.page-template-page-lp .future hr {
  width: 660px;
  height: 7px;
  margin: 0 auto 55px;
  opacity: 1;
}

/*  - 3b. Meet Page  */

.splash {
  background-size: cover;
  padding: 179px 0;
}

.page-template-page-meet .splash {
  background: url("/wp-content/uploads/sites/260/2026/02/2_hero.jpg") no-repeat 50% 85%;
}

hr:not([size]) {
  height: 7px;
  margin: 0 auto;
  opacity: 1;
}

.page-template-page-meet hr {
  width: 751px;
}

.page-template-page-meet .content p {
  padding: 72px;
}

.page-template-page-meet .images {
  height: 393px;
  margin: 79px 0;
  gap: 10px;
}

.page-template-page-meet .images>* {
  width: 33%;
}

[src*="2_inset"] {
  height: 100%;
  object-fit: cover;
}

[src*="2_inset3"] {
  transform: scaleX(-1);
  object-position: 100% 50%;
}

[src*="2_inset1"],
[src*="2_inset2"] {
  transform: scaleX(-1);
  width: 100%;
  height: 50%;
}

[src*="2_inset4"] {
  object-position: 30% 50%;
}

/*  - 3c. Get Involved Page  */
.page-template-page-involved .splash {
  background: url("/wp-content/uploads/sites/260/2026/02/3_hero.jpg") no-repeat 50% 30%;
}

.page-template-page-involved .content {
  padding: 70px 0;
}

.page-template-page-involved .form-wrapper h4.text-center {
  margin-bottom: 36px;
}

.page-template-page-involved hr {
  width: 700px;
}

.page-template-page-involved .content .row .row {
  margin-top: 40px;
}

/*  - 3d. Issues Page  */
.page-template-page-issues .splash {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.20) 64.42%, rgba(0, 0, 0, 0.00) 89.42%), url("/wp-content/uploads/sites/260/2026/02/4_hero.jpg") no-repeat 61% 77%;
}

.page-template-page-issues hr {
  width: 643px;
}

.page-template-page-issues .content {
  padding: 115px 0;
}

.page-template-page-issues .content .row:not(:last-child) {
  margin-bottom: 165px;
}

.page-template-page-issues h4 {
  margin: 26px 0 50px 0;
}

/*  - 3e. Footer  */
footer {
  background: url("/wp-content/uploads/sites/260/2026/02/1_footer_bg.jpg") no-repeat center center;
  background-size: cover;
}

footer img {
  padding: 87px 0 75px 0;
}

#check {
  color: var(--darkGray) !important;
  text-decoration: underline !important;
  font-size: 12px !important;
  line-height: 1;
}

#check:hover {
  font-weight: 400;
}

.underline {
  text-decoration: underline !important;
}

/* ------------------------------ 
    3. End Main Content
------------------------------ */